package com.oqpo.api.mapper;

import com.oqpo.api.entity.oper.FileEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FileMapper {
    int insertFile(FileEntity entity);

    FileEntity selectFile(@Param("fileNo") String fileNo, @Param("fileSeq") Integer fileSeq);

    List<FileEntity> selectFileList(@Param("fileNo") String fileNo);

    int deleteFile(@Param("fileNo") String fileNo, @Param("fileSeq") Integer fileSeq);
}
